import request from '@/utils/request'

// 查询设备台账列表
export function listRbook(query) {
  return request({
    url: '/ems/device/rbook/list',
    method: 'get',
    params: query
  })
}

// 查询设备台账详细
export function getRbook(id) {
  return request({
    url: '/ems/device/rbook/' + id,
    method: 'get'

  })
}

// 新增设备台账
export function addRbook(data) {
  return request({
    url: '/ems/device/rbook',
    method: 'post',
    data: data
  })
}

// 修改设备台账
export function updateRbook(data) {
  return request({
    url: '/ems/device/rbook',
    method: 'put',
    data: data
  })
}

// 删除设备台账
export function delRbook(id) {
  return request({
    url: '/ems/device/rbook/' + id,
    method: 'delete'
  })
}
